language: cn
model_unique_abbr: st_anomaly_detection_unified_framework
version: 1.0
identification:
  docker_image_name: st_anomaly_detection_unified_framework:1.0
  model_name: 时空一体化框架下的时空序列异常探测
  semantic: anomaly detection
  description: 时空一体化框架下的时空序列异常探测是一种顾及地理时空相关性与异质性的时空异常地理对象探测算法。
  category_application: 诊断型
  category_data:
    - 点数据分析
  keywords:
    - 异常探测

parameter_info:
  parameters:
    - arg_name: input_data
      is_single_en_dash: false
      param_type: input_data
      name: 空间点数据
      description: "待探测的空间点数据(shp格式), 时间序列的属性数据存储在各点数据中"
      is_required: false
      data_type: shp
      data_semantic: spatial point data

    - arg_name: kmeansvalue
      is_single_en_dash: false
      param_type: param
      name: 聚类中心数
      description: "聚类中心的数目，需小于空间点数据的数量，int型，默认为5"
      data_type: int
      data_semantic: clustering center number
      specification: #选填。参数规格
        default: 5 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: timespan
      is_single_en_dash: false
      param_type: param
      name: 时间序列天数
      description: "时间序列天数，至少需要两天的数据，int型，默认为5"
      data_type: int
      data_semantic: time span
      specification: #选填。参数规格
          default: 5 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: attribute_start_number
      is_single_en_dash: false
      param_type: param
      name: 首天数据的列序号
      description: "首天数据在输入数据的列序号，列从1开始，int类型，默认为4"
      data_type: int
      data_semantic: column number
      specification: #选填。参数规格
        default: 4 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 异常探测结果
      description: "异常探测输出结果，格式为txt，记录异常值的时空位置"
      data_type: txt
      data_semantic: anomaly detection result


application:
  domain: 时空序列异常探测
  objective:
  dimension:
    - 三维
  spatial_resolution:
  spatial_reference:
  mechanism:
operation:
  usage: 该算法需要五个参数，空间点数据(input_data)，聚类中心数(kmeansValue)，时间序列天数(timeSpan)，首天数据的列序号(Attribute_Start_number)，异常探测结果(output)
  exec_example:
    - docker run -v $(pwd):/data st_anomaly_detection_unified_framework:1.0 --input_data ../data/testshp3.shp --kmeansValue 5 --timeSpan 5 --output /output
    - docker run -v $(pwd):/data st_anomaly_detection_unified_framework:1.0 --input_data ../data/testshp3.shp --kmeansValue 6 --timeSpan 5 --Attribute_Start_number 5 --output /output
  output_display:
    - "输出结果为txt文件，记录异常值的时空位置,不需要可视化"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Shiyi Li
  organization: Central South University
  contact: 1749405717@qq.com
  repository:
  integrated_softwares:
    - name: numpy
      version: 1.26.2
      license:
  references:
    - "刘启亮, 邓敏, 王佳璆, 等. 2011. 时空一体化框架下时空异常探 测. 遥感学报, 15(3): 457–474."
